Package Details: snapper-gui-git 0.1+8.r132.20220626.1915750-1

Git Clone URL: https://aur.archlinux.org/snapper-gui-git.git (read-only, click to copy)
Package Base: snapper-gui-git
Description: Gui for snapper, a tool of managing snapshots of Btrfs subvolumes and LVM volumes
Upstream URL: https://github.com/ricardomv/snapper-gui
Licenses: GPL2
Conflicts: snapper-gui
Provides: snapper-gui
Submitter: maz-1
Maintainer: vitor_hideyoshi
Last Packager: vitor_hideyoshi
Votes: 48
Popularity: 0.20
First Submitted: 2015-10-26 14:12 (UTC)
Last Updated: 2024-03-26 04:44 (UTC)

Dependencies (10)

Required by (0)

Sources (2)

Latest Comments

1 2 Next › Last »

PhCl commented on 2024-04-29 09:04 (UTC)

After the Python 3.12 upgrade, I get this error (rebuilding does not help, unfortunately):

Traceback (most recent call last):
  File "/usr/lib/python3.12/importlib/metadata/__init__.py", line 397, in from_name
    return next(cls.discover(name=name))
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/snapper-gui", line 33, in <module>
    sys.exit(load_entry_point('snappergui==0.1', 'gui_scripts', 'snapper-gui')())
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/bin/snapper-gui", line 22, in importlib_load_entry_point
    for entry_point in distribution(dist_name).entry_points
                       ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/importlib/metadata/__init__.py", line 862, in distribution
    return Distribution.from_name(distribution_name)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/importlib/metadata/__init__.py", line 399, in from_name
    raise PackageNotFoundError(name)
importlib.metadata.PackageNotFoundError: No package metadata was found for snappergui

xiota commented on 2024-03-26 04:48 (UTC)

pkgver is in wrong format with bad semantics. Please use standard #.r#.g# format as specified in VCS package guidelines.

dreieck commented on 2023-07-31 21:46 (UTC)

Fixed ↗ PKGBUILD:

# Maintainer:  vitor_hideyoshi (https://aur.archlinux.org/account/vitor_hideyoshi)
# Contributor: Ilias Stamatis <stamatis.iliass at gmail dot com>, Saren Arterius <saren at wtako dot net>
# Contributor: Panagiotis Mavrogiorgos (pmav99) <> (gmail)

pkgname=snapper-gui-git
pkgver=0.1+8.r132.20220626.1915750
pkgrel=2
pkgdesc="Gui for snapper, a tool of managing snapshots of Btrfs subvolumes and LVM volumes"
arch=(any)
url="https://github.com/ricardomv/snapper-gui"
license=('GPL2')
depends=('python3' 'gtk3' 'python-dbus' 'python-gobject' 'python-setuptools' 'gtksourceview3' 'snapper')
optdepends=('gksu: Access snapper-gui from application menu under GTK-base DE'
            'kdesu: Access snapper-gui from application menu under KDE')
makedepends=(
  'git'
  'python-build'
  'python-installer'
  'python-wheel'
)
provides=("snapper-gui=${pkgver}")
conflicts=('snapper-gui')
install=snapper-gui.install
source=(
  "${pkgname}::git+https://github.com/ricardomv/snapper-gui.git"
  "python3.11-diff-fix.patch::https://patch-diff.githubusercontent.com/raw/ricardomv/snapper-gui/pull/59.patch"
)
sha256sums=(
  'SKIP'
  '2770d1ef054c1e089af72d3779e65fcaa33b7fab54eab57e31cfd3ebab6b96e9'
)

prepare() {
  cd "$pkgname"

  for _patch in "${srcdir}/python3.11-diff-fix.patch"; do
    msg2 "Applying patch '$(basename "${_patch}")' ..."
    patch -Np1 --follow-symlinks -i "${_patch}"
  done
}

pkgver() {
  cd "$pkgname"

  _ver="$(git describe --tags | sed -E -e 's|^[vV]||' -e 's|\-g[0-9a-f]*$||' | tr '-' '+')"
  _rev="$(git rev-list --count HEAD)"
  _date="$(git log -1 --date=format:"%Y%m%d" --format="%ad")"
  _hash="$(git rev-parse --short HEAD)"

  if [ -z "${_ver}" ]; then
    error "Version could not be determined."
    return 1
  else
    printf '%s' "${_ver}.r${_rev}.${_date}.${_hash}"
  fi
}

build() {
  cd "$pkgname"

  python -m build --wheel --no-isolation
}

package() {
  cd "$pkgname"

  python -m installer --destdir="$pkgdir" dist/*.whl
}

Regards!

dreieck commented on 2023-07-13 08:52 (UTC)

Currently, showing diffs is proken with python 3.11.

A fix is to apply this patch until upstream maintainers have merged it (it seems a bit upstream is abandoned since no update to the repository for a while, let's see).

sjnims commented on 2022-03-11 04:30 (UTC) (edited on 2022-03-11 17:45 (UTC) by sjnims)

Was able to make and install the package without problem, but then couldn't open any snapshots...made sure all permissions were set correctly...opened via terminal and saw the following error message whenever I hit "Open":

Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/snappergui/mainWindow.py", line 141, in on_open_snapshot_folder
    subprocess.Popen(['xdg-open', mountpoint])
  File "/usr/lib/python3.10/subprocess.py", line 966, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/usr/lib/python3.10/subprocess.py", line 1842, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'xdg-open'

Installed xdg-utils package and no more issues. Maybe add that as a depends?

yochananmarqos commented on 2021-10-11 14:08 (UTC)

@SkorpEN: Those are already dependencies, what do you mean? Please unflag the package, it's not out date.

SkorpEN commented on 2021-10-11 13:35 (UTC)

python-dbus seems required other dependencies from https://github.com/ricardomv/snapper-gui python-gobject python-setuptools Rest seems not really needed in newer gtk.

ricardomv commented on 2016-12-06 12:58 (UTC)

please remove the .desktop file included in the package as the upstream project ships it's own.